;Copyright CANON INC. 2019
; Setup.ini
;
; LastModified: 27-Jun-2023
;
[Setup]
;-------------------------------------------------------------
; MUST
;-------------------------------------------------------------
; Default Target Directory
DefaultTargetDir=\CanonMF
;-------------------------------------------------------------
; OPTIONAL
;-------------------------------------------------------------
; License Agreement
License=%FILE_LICENSE_REGION%

;String ini
Strings=misc\SetupRes.ini

;Resource 
Resources=%FILE_RESOURCES%

SetupCmdLine=/S /W %x /DN "%s" /MN "%s" /RD /CMFPINST /LANG "%s"
ReadmeCmdLine=/S /README /LANG "%s"

[ServicePacks]
; Cannot use WINNT5
WIN2K=0
WINXP=0
WINXP_x64=0


[SupportModels]
Canon MF540 Series

[Canon MF540 Series]
Version=6.50
Driver0=BDL,Canon Generic Plus UFR II V290,Canon MF540 Series UFR II,2.90.0.0,270
Driver1=PCL6,Canon Generic Plus PCL6 V290,Canon MF540 Series PCL6,2.90.0.0,110
Driver2=PS,Canon Generic Plus PS3 V290,Canon MF540 Series PS3,2.90.0.0,110
Driver3=FAX,Canon Generic FAX Driver (FAX),Canon MF540 Series Fax,10.57.0.0,110
Driver4=SCAN,Canon MF540 Series,MF540,11.3.0.0,200
PrinterHWID=USBPRINT\CanonMF540_Series
ScannerHWID=USB\VID_04A9&PID_2824
DefaultDeviceDir=\MFSCN
ProgramShortcutDir=Canon\MF540 Series
;UninstallerName="Section Name"
UninstallerGUID={6D158615-2530-467e-BE18-09509F0D4340}

[DriverInstallerNames]
BDL=%DIR_INTDRV%\UFRII%DIR_OS%%PATH_INSTALLER%
PCL6=%DIR_INTDRV%\PCL6%DIR_OS%%PATH_INSTALLER%
PS=%DIR_INTDRV%\PS%DIR_OS%%PATH_INSTALLER%
FAX=%DIR_INTDRV%\FAX%DIR_OS%%PATH_INSTALLER%
SCAN=%DIR_INTDRV%\SCAN%DIR_OS%\ScanSetup.exe

[ReadmeInfo]
MD=Readme\Readme_MD.hta,%NAME_DRIVERREADME_MD%
BDL=%PATH_README%,%NAME_DRIVERREADME_GPUFRII%
PCL6=%PATH_README%,%NAME_DRIVERREADME_PCL%
PS=%PATH_README%,%NAME_DRIVERREADME_PS%
FAX=%PATH_README%,%NAME_DRIVERREADME_FAX%
SCAN=%PATH_README%,%NAME_DRIVERREADME_SCAN%

[PushScanEvent]
ExePath=\misc\Ext\SetEvent.exe
CmdLine="-e=regist -d="%s" -l="%s\Canon\MF Scan Utility\MFSCANUTILITY.exe""

[Function]
FAX=0x2
SCAN=0x4
BDL=0x10
PCL6=0x40
PS=0x80
V4=0x100

[Extension]
; Can be specified .x86, .x64
; Righthand value is <ExtensionID>,<DLLNAME>,<DLLEntryPoint>
; You can run extension directory by using /X<ExtensionID> commandline option.
;
%NAME_USB%=USB|DEFAULT
%NAME_NETWORK%=NET,misc\EXT\NiHelper.dll,HELPER_LaunchNetworkInstaller

[Extension.WIN2K3]
;-------------------------------------------------------------
; Windows Server 2003 only
;-------------------------------------------------------------
; Can be specified .x86, .x64
; Righthand value is <ExtensionID>,<DLLNAME>,<DLLEntryPoint>
; You can run extension directory by using /X<ExtensionID> commandline option.
;
%NAME_NETWORK%=NET,misc\EXT\NiHelper.dll,HELPER_LaunchNetworkInstaller

[Extension.WIN2K3_x64]
;-------------------------------------------------------------
; Windows Server 2003 only
;-------------------------------------------------------------
; Can be specified .x86, .x64
; Righthand value is <ExtensionID>,<DLLNAME>,<DLLEntryPoint>
; You can run extension directory by using /X<ExtensionID> commandline option.
;
%NAME_NETWORK%=NET,misc\EXT\NiHelper.dll,HELPER_LaunchNetworkInstaller

[Uninstaller]
;-------------------------------------------------------------
; OPTIONAL 
;  But if you set uninstallation information, set the 
;  following values.
;  Version, DisplayName, Files, TargetDir, and ProductGUID
;-------------------------------------------------------------
Version=6.5.0.3
Files.WINNT5=misc\DelDrv.exe,misc\DelDrv.ini,misc\Resource\DelDrvRes*.DLL,misc\SetupRes.ini,misc\Ext\PMon\MFPMUI.ex_,misc\Ext\PMon\MFPMIU.ini,misc\Ext\SS\MFNSSUI.ex_,misc\Ext\SS\MFNSSIU.ini
Files.WINNT5_x64=misc\DelDrv.exe,misc\DelDrv.ini,misc\Resource\DelDrvRes*.DLL,misc\SetupRes.ini,misc\Ext\PMon\MFPMUI.ex_,misc\Ext\PMon\MFPMIU.ini,misc\Ext\SS\MFNSSUI.ex_,misc\Ext\SS\MFNSSIU.ini
Files.WINXP_x64=misc\DelDrv.exe,misc\DelDrv.ini,misc\Resource\DelDrvRes*.DLL,misc\SetupRes.ini,misc\Ext\PMon\MFPMUI.ex_,misc\Ext\PMon\MFPMIU.ini,misc\Ext\SS\MFNSSUI.ex_,misc\Ext\SS\MFNSSIU.ini
TargetDir=CanonMF Uninstaller Information
CommandLine=/U:%s /DN "%s" /V "%s" /L "%s"

[OS]
Srv2008_Edition=00003DC010003800
